## jxtray.connection
Class DriverCache

    java.lang.Object
      java.util.Dictionary
          java.util.Hashtable
              jxtray.connection.DriverCache

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public class DriverCache
extends java.util.Hashtable

This class is a drivers container. It contains all the informations drivers defined in the XML files

See Also:
  Serialized Form

Constructor Summary
`DriverCache()`

Method Summary
`void` `finalize()` Memory Managnement
`java.lang.Object[]` `getAllDriverName()`
`static DriverCache` `getInstance()`
`void` `loadDrivers()` Load from the XML file
`void` `printState()` Print the contain of the Hastable
`void` `update(DriverInfo newDriver)`
`void` `writeXMLFile()` Enregistre les connexions dans le fichier XML

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DriverCache

    public DriverCache()

Method Detail

### getInstance

    public static DriverCache getInstance()

### update

    public void update(DriverInfo newDriver)
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getAllDriverName

    public java.lang.Object[] getAllDriverName()
                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### loadDrivers

    public void loadDrivers()
                     throws java.lang.Exception

  Load from the XML file

  Throws:
    `java.lang.Exception`

### printState

    public void printState()
                    throws java.lang.Exception

  Print the contain of the Hastable

  Throws:
    `java.lang.Exception`

### writeXMLFile

    public void writeXMLFile()

  Enregistre les connexions dans le fichier XML

### finalize

    public void finalize()

  Memory Managnement